DU(1)

NAMA
du - estimasi penggunaan ruang berkas

RINGKASAN
du [PILIHAN]... [BERKAS]...
du [PILIHAN]... --files0-from=F

DESKRIPSI

Ringkas penggunaan perangkat dari set FILE, secara rekursif untuk direktori.

Argumen wajib untuk pilihan panjang adalah wajib untuk pilihan pendek juga.

-0, --null
    akhiri setiap baris keluaran dengan NUL, bukan baris baru

-a, --all
    tulis total untuk semua berkas, bukan hanya direktori

--apparent-size
    mencetak ukuran yang jelas daripada penggunaan perangkat; meskipun ukuran yang tampak biasanya lebih kecil, itu mungkin lebih besar karena lubang pada berkas ('sparse'), fragmentasi internal, blok tidak langsung, dan sejenisnya

-B, --block-size=BESAR
    menskala ukuran dengan BESAR sebelum mencetaknya; misalnya, '-BM' mencetak ukuran dalam satuan 1.048.576 byte; lihat format BESAR di bawah ini

-b, --bytes
    sama dengan '--apparent-size --block-size=1'

-c, --total
    menghasilkan total jendral

-D, --dereference-args
    dereference hanya symlink yang terdaftar di baris perintah

-d, --max-depth=N
    menampilkan total untuk sebuah direktori (atau berkas, dengan --all) hanya jika ini adalah N atau level lebih kecil dibawah perintah argumen baris; --max-depth=0 sama seperti dalam --summarize

--files0-from=F
    merangkum penggunaan disk dari nama-nama berkas yang diakhiri dengan NUL, yang dispesifikasikan dalam berkas F; jika F adalah - maka baca nama dari masukan standar

-H  sama dengan --dereference-args (-D)

-h, --human-readable
    menampilkan ukuran dalam format yang mudah dibaca (contoh: 1K 234M 2G)

--inodes
    mencantumkan daftar informasi penggunaan inode bukan penggunaan blok

-k  seperti --block-size=1K

-L, --dereference
    dereferensi semua tautan simbolis

-l, --count-links
    hitung ukuran beberapa kali jika hard linked

-m  seperti --block-size=1M

-P, --no-dereference
    jangan ikuti taut simbolis apa pun (bawaan)

-S, --separate-dirs
    untuk direktori, jangan sertakan ukuran dari sub direktori

--si
    seperti -h, tetapi menggunakan pangkat dari 1000 bukan 1024

-s, --summarize
    tampilkan hanya satu total untuk setiap argumen

-t, --threshold=BESAR
    mengecualikan entri yang kurang dari BESAR jika positif, atau entri yang lebih dari BESAR jika negatif

--time
    menampilkan waktu dari terakhir modifikasi dari setiap berkas dalam direktori, atau subdirektori apapun

--time=KATA
    menampilkan waktu seperti KATA daripada modifikasi waktu: atime, access, use, ctime atau status

--time-style=GAYA
    tampilkan waktu menggunakan GAYA, yang dapat berupa: full-iso, long-iso, iso, atau +FORMAT; FORMAT ditafsirkan seperti dalam 'tanggal'

-X, --exclude-from=BERKAS
    abaikan berkas yang cocok dengan pola dalam BERKAS

--exclude=POLA
    mengecualikan berkas yang cocok dengan POLA

-x, --one-file-system
    lewati direktori pada sistem berkas yang berbeda

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

Tampilan nilai berada dalam satuan dari BESAR pertama yang tersedia dari --block-size, dan DU_BLOCK_SIZE, BLOCK_SIZE dan variabel lingkungan BLOCKSIZE. Jika tidak, satuan baku ke 1024 bytes (atau 512 jika POSIXLY_CORRECT diset).

Argumen BESAR adalah bilangan bulat dan unit opsional (misalnya: 10K adalah 10*1024). Satuan adalah K, M, G, T, P, E, Z, Y (pangkat atas 1024) atau KB, MB, ... (pangkat atas 1000). Awalan biner juga dapat digunakan: KiB=K, MiB=M, dan sebagainya.

POLA
POLA adalah pola shell (bukan ekspresi reguler). Pola ? cocok dengan satu karakter, sedangkan * cocok dengan string apa pun (terdiri dari nol, satu atau beberapa karakter). Misalnya, *.o akan cocok dengan berkas apa pun yang namanya berakhiran .o. Karena itu, perintah

    du --exclude='*.o'

akan melewati semua berkas dan sub direktori yang berakhiran .o (termasuk berkas .o itu sendiri).

PENGARANG
Ditulis oleh Torbjorn Granlund, David MacKenzie, Paul Eggert, dan Jim Meyering.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2022 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
Dokumentasi lengkap <https://www.gnu.org/software/coreutils/du>
atau tersedia lokal melalui: info '(coreutils) du invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Johan Efendi <johan-efendi@iname.com> dan Andika Triwidada <andika@gmail.com>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.